HtmlReportGenerator (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.gui.action, class: HtmlReportGenerator

Package org.apache.jmeter.gui.action

# Class HtmlReportGenerator

java.lang.Object
org.apache.jmeter.gui.action.HtmlReportGenerator

public class HtmlReportGenerator extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CANNOT_CREATE_DIRECTORY`
  `static final String`
  `ERROR_GENERATING`
  `static final String`
  `HTML_REPORT_SUCCESS`
  `static final String`
  `NO_DIRECTORY`
  `static final String`
  `NO_FILE`
  `static final String`
  `NOT_EMPTY_DIRECTORY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HtmlReportGenerator(String csvFilePath, String userPropertiesFilePath, String outputDirectoryPath)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `run()`
  Prepare and Run the HTML report generation command.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### HTML_REPORT_SUCCESS

    public static final String HTML_REPORT_SUCCESS
    See Also:
      - Constant Field Values

  - ### ERROR_GENERATING

    public static final String ERROR_GENERATING
    See Also:
      - Constant Field Values

  - ### NO_FILE

    public static final String NO_FILE
    See Also:
      - Constant Field Values

  - ### NO_DIRECTORY

    public static final String NO_DIRECTORY
    See Also:
      - Constant Field Values

  - ### NOT_EMPTY_DIRECTORY

    public static final String NOT_EMPTY_DIRECTORY
    See Also:
      - Constant Field Values

  - ### CANNOT_CREATE_DIRECTORY

    public static final String CANNOT_CREATE_DIRECTORY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### HtmlReportGenerator

    public HtmlReportGenerator(String csvFilePath, String userPropertiesFilePath, String outputDirectoryPath)

- ## Method Details

  - ### run

    public List<String> run()
    Prepare and Run the HTML report generation command.
    Returns:
      a list of error messages